# jina_sumary
ChatGPT on WeChat项目插件, 使用jina reader和ChatGPT解析网页内容

支持解析公众号、小红书、csdn等分享卡片链接(有的卡片链接会触发验证，一般直链没有此问题)

![wechat_mp](./docs/images/wechat_mp.jpg)
![red](./docs/images/red.jpg)
![csdn](./docs/images/csdn.jpg)

config.json 配置说明
```bash
{
  "jina_reader_base": "https://r.jina.ai",    # jina reader链接，默认为https://r.jina.ai
  "dify_base_url": "",                        # dify api链接，默认为空
  "dify_api_key": "app-XXXX",                 # dify api key
  "max_words": 8000,                          # 网页链接内容的最大字数，防止超过最大输入token，使用字符串长度简单计数
  "white_url_list": [],                       # url白名单, 列表为空时不做限制，黑名单优先级大于白名单，即当一个url既在白名单又在黑名单时，黑名单生效
  "black_url_list": ["https://support.weixin.qq.com", "https://channels-aladin.wxqcloud.qq.com"]   # url黑名单，排除不支持总结的视频号等链接
}
```
